shibboleth-2.6.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- p
- r
- s
- t
- u
- v
- w
- x

Here is a list of all documented class members with links to the class documentation for each member:

### - m -

- m_address : shibsp::RemotedHandler
- m_app : shibsp::SOAPClient , shibsp::TransactionLog::Event
- m_artifactResolver : shibsp::SPConfig
- m_attributes : shibsp::LoginEvent
- m_authTypes : shibsp::ServiceProvider
- m_binding : shibsp::TransactionLog::Event
- m_caseSensitive : shibsp::AttributeDecoder
- m_configNS : shibsp::AbstractHandler
- m_credResolver : shibsp::SOAPClient
- m_defaultBlacklist : shibsp::SecurityPolicyProvider
- m_exception : shibsp::TransactionLog::Event
- m_handlers : shibsp::TransactionLog::Event
- m_hashAlg : shibsp::AttributeDecoder
- m_initiator : shibsp::LogoutHandler
- m_internal : shibsp::AttributeDecoder
- m_langAware : shibsp::AttributeDecoder
- m_lock : shibsp::Application
- m_log : shibsp::AbstractHandler
- m_nameID : shibsp::TransactionLog::Event
- m_peer : shibsp::TransactionLog::Event
- m_preserve : shibsp::LogoutHandler
- m_protocol : shibsp::TransactionLog::Event
- m_relyingParty : shibsp::SOAPClient
- m_remapper : shibsp::SessionInitiator
- m_request : shibsp::TransactionLog::Event
- m_saml1AuthnStatement : shibsp::LoginEvent
- m_saml1Response : shibsp::LoginEvent
- m_saml2AuthnStatement : shibsp::LoginEvent
- m_saml2Request : shibsp::AuthnRequestEvent , shibsp::LogoutEvent
- m_saml2Response : shibsp::LoginEvent , shibsp::LogoutEvent
- m_serialized : shibsp::Attribute
- m_serviceProvider : shibsp::SPConfig
- m_session : shibsp::LogoutEvent
- m_sessionID : shibsp::TransactionLog::Event
- m_sessions : shibsp::LogoutEvent
- m_sp : shibsp::Application
- m_supportedOptions : shibsp::SessionInitiator
- m_unsetHeaders : shibsp::Application
- ManageNameIDServiceManager : shibsp::SPConfig
- marshall() : shibsp::Attribute , shibsp::BinaryAttribute , shibsp::ExtensibleAttribute , shibsp::NameIDAttribute , shibsp::ScopedAttribute , shibsp::SimpleAttribute , shibsp::XMLAttribute
- matches() : shibsp::SessionCache
- MatchFunctorManager : shibsp::SPConfig
- MetadataProviderCriteria() : shibsp::MetadataProviderCriteria